
Advanced Frontend Editing - Bug # 40773

Status: Closed Priority: Should have
Author: Martin Helmich Category: TYPO3 Core / Other Extensions
Created: 2012-09-09 Assigned To:
Updated: 2014-08-06 Due date:
Subject: Fatal error due to changes in SpriteHandler in TYPO3 6.0
Description

In the current TYPO3 master, feeditadvanced (current trunk) exits with a PHP fatal error, since the interface of the
t3lib_SpriteManager class (now named \TYPO3\CMS\Backend\Sprite\SpriteManager) has changed.

Related issues:
related to Core - Bug # 40653: Namespace interfaces don't work for PHP versio... Resolved 2012-09-05
related to Advanced Frontend Editing - Bug # 45943: 6.0 Compatibility Changes Closed 2013-03-01

Associated revisions
Revision 58fddd8f - 2014-08-03 14:01 - Chris topher

[TASK] Fatal error due to changes in SpriteHandler in TYPO3 6.0

Fix call to sprite manager.

Change-Id: I7992b3ded81b70308b1c1d680675050bd37b6cb9
Resolves: #40773
Reviewed-on: http://review.typo3.org/31955
Reviewed-by: Chris topher <chrissitopher@gmx.de>
Tested-by: Chris topher <chrissitopher@gmx.de>

History
#1 - 2012-09-09 17:18 - Martin Helmich
- File 40773-patch1.diff added

The attached patch should fix this problem.

#2 - 2012-09-09 17:28 - Lorenz Ulrich

This is a core issue; the namespaces introduction is not yet compatible to PHP < 5.3.7 when dealing with interfaces. It doesn't make sense to solve
that in each extension.

#3 - 2012-09-09 17:43 - Martin Helmich
- File 40773-patch2.diff added

Hi Lorenz,

thanks for your feedback. in my opinion however, this is not just a namespace issue.
In TYPO3 < 6.0, the t3lib_SpriteManager constructor accepts one argument, while in TYPO3 6.0 it does not accept any arguments. Furthermore, in 6.0
the method loadCacheFile is not present anymore. Since both methods are called within the ajax service, this would result in a fatal error regardless of
namespacing.

Btw, I noticed that my previous patch contained a syntax error (sorry for that, updated version attached).

Best regards,
Martin

#4 - 2014-08-03 13:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/feeditadvanced has been pushed to the review server.
It is available at http://review.typo3.org/31955

#5 - 2014-08-03 14:02 - Chris topher

Thanks for the patch, Martin! Committed!

#6 - 2014-08-03 14:03 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:58fddd8f2c19f16b2472368851c6a259d9717b82.

#7 - 2014-08-03 17:45 - Chris topher
- Target version set to 1.6.0

#8 - 2014-08-06 12:06 - Chris topher
- Status changed from Resolved to Closed

Files
40773-patch1.diff 652 Bytes 2012-09-09 Martin Helmich
40773-patch2.diff 653 Bytes 2012-09-09 Martin Helmich
